Page MenuHomePhabricator

New page patrol button offered for own creations
Closed, ResolvedPublic

Description

Since bug 15936 and despite followups, "Mark this page as patrolled" is offered even for own creations/revisions, which results into "You are not allowed to patrol pages that you have created."
Confirmed with 1.22wmf9 (f0f11ee) on en.wiki.


Version: 1.22.0
Severity: normal

Details

Reference
bz51224

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:47 AM
bzimport set Reference to bz51224.
Nemo_bis created this task.Jul 12 2013, 9:29 AM
greg added a comment.Jul 15 2013, 3:41 PM

Marius, I assume this is something from your recent changes? (Only assuming, didn't look at changelog :) ).

Change 74855 had a related patch set uploaded by Hoo man:
Don't ask users to mark own page creations as patrolled

https://gerrit.wikimedia.org/r/74855

hoo added a comment.Jul 20 2013, 7:36 PM

(In reply to comment #1)

Marius, I assume this is something from your recent changes? (Only assuming,
didn't look at changelog :) ).

Yep, my fault :D

Change 74855 merged by jenkins-bot:
Don't ask users to mark own page creations as patrolled

https://gerrit.wikimedia.org/r/74855

Verified fixed on beta.